in_array
krsort
Funções para Array
PHP Manual

# key

(PHP 4, PHP 5)

key — Retorna uma chave de um array

### Descrição

mixed key ( array `&$array` )

key() retorna a chave da posição atual de um array.

### Parâmetros

`array`

  O array.

### Valor Retornado

Retorna o índice.

### Exemplos

Exemplo #1 Exemplo da key()

`<?php
$array = array(
'fruit1' => 'apple',
'fruit2' => 'orange',
'fruit3' => 'grape',
'fruit4' => 'apple',
'fruit5' => 'apple');
// este ciclo exibirá toda a chave do array associativo
// onde o valor é igual a "apple"
while ($fruit_name = current($array)) {
if ($fruit_name == 'apple') {
echo key($array).'<br />';
}
next($array);
}
?>`

O exemplo acima irá imprimir:

    fruit1<br />
    fruit4<br />
    fruit5<br />

### Veja Também

- current() - Retorna o elemento corrente em um array
- next() - Avança o ponteiro interno de um array

in_array
krsort
Funções para Array
PHP Manual